﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MM.Monitor.Plugins
{
    public partial class EditModeInfoItem : Form
    {
        private bool canClose = false;
        private MoreInfoConfiguration.InfoItem infoItem;

        public MoreInfoConfiguration.InfoItem EditedInfoItem
        {
            get
            {
                if (infoItem == null)
                    infoItem = new MoreInfoConfiguration.InfoItem();

                infoItem.Title = textTitle.Text;
                infoItem.Subtitle = textSubtitle.Text;

                return infoItem;
            }
        }

        public EditModeInfoItem()
            : this(null)
        {
        }
        public EditModeInfoItem(MoreInfoConfiguration.InfoItem infoItem)
        {
            InitializeComponent();

            Text = (infoItem == null ? "Add" : "Edit") + " Info Item";

            if (infoItem != null)
            {
                textTitle.Text = infoItem.Title;
                textSubtitle.Text = infoItem.Subtitle;
            }
        }

        private void EditModeInfoItem_FormClosing(object sender, FormClosingEventArgs e)
        {
            e.Cancel = !canClose;
        }

        private void bCancel_Click(object sender, EventArgs e)
        {
            canClose = true;
        }

        private void bOK_Click(object sender, EventArgs e)
        {
            canClose = ValidateData();
        }

        private bool ValidateData()
        {
            if (textTitle.Text.Trim().Length == 0)
            {
                MessageBox.Show("Invalid title");
                textTitle.Focus();
                return false;
            }

            return true;
        }
    }
}
