﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using MM.Monitor.Client;

namespace MM.Monitor.Plugins
{
    public class PluginConfiguration : ClientPlugin
    {
        public override Client.Version GetMinimumRequiredAgentVersion()
        {            
            return new Client.Version(2, 9, 1);
        }
        public override string GetPluginName()
        {
            return "Plugin Configuration";
        }
        public override string GetPluginDescription()
        {
            return "An example of plugin configuration";
        }
        public override System.Windows.Forms.Form GetConfigurationForm()
        {
            return new ConfigurationForm(this);
        }        
        public override Groups GetAdditionalComputerDetails()
        {
            Groups result = new Groups();

            Group settingsGroup = new Group("Owner Information");

            string ownerSetting = base.GetValueForKey("Owner");
            settingsGroup.Items.Add(new SimpleItem(ownerSetting == null ? "N/A" : ownerSetting, "Owner"));
            string manufacturerSetting = base.GetValueForKey("Manufacturer");
            settingsGroup.Items.Add(new SimpleItem(manufacturerSetting == null ? "N/A" : manufacturerSetting, "Manufacturer"));

            result.Add(settingsGroup);

            return result;
        }
    }
}
